-- Script WeldBorders
-- Author: Nikolay Litvinov
-- 1.6 Added work with Edit_Poly modifer

macroScript WeldBorders
category:"Niklit Scripts"
toolTip:"WeldBorders"
icon:#("WeldBorders",1)

(
Try	(
	if getCommandPanelTaskMode() != #modify then max modify mode
		(
	for Obj in selection as array do
		Try(
		select Obj
		PolyToolsSelect.NumericEdge false
		Obj.modifiers[#Edit_Poly].ConvertSelection #Border #Vertex
		Obj.modifiers[#Edit_Poly].weldVertexThreshold = 0.001
		Obj.modifiers[#Edit_Poly].SetOperation #WeldVertex
		)
		Catch(
			select Obj
			if classof Obj == Editable_mesh then converttopoly Obj
			PolyToolsSelect.NumericEdge false
			Obj.EditablePoly.ConvertSelection #Border #Vertex
			Obj.weldThreshold = 0.001
			Obj.EditablePoly.weldFlaggedVertices ()
			)
		)
	)Catch()
)

messagebox("Actions are stored in Category: \"Niklit Scripts\"")